# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emulation/crossover-office-bin/crossover-office-bin-6.2.0.ebuild,v 1.4 2009/07/07 23:02:56 flameeyes Exp $

inherit eutils

DESCRIPTION="Unofficial PocketBook SDK version"
HOMEPAGE="http://pbsdk.vlasovsoft.net/"
SRC_URI="http://pbsdk.vlasovsoft.net/files/pbsdk-linux-${PV}.deb
libcurl3_7.21.0-1ubuntu1_i386.deb
libglib2.0-0_2.26.0-0ubuntu1_i386.deb
libgssapi-krb5-2_1.8.1+dfsg-5_i386.deb
libgssglue1_0.1-4_i386.deb
libgtk2.0-0_2.22.0-0ubuntu1_i386.deb
libjpeg62_6b-16.1_i386.deb
libk5crypto3_1.8.1+dfsg-5_i386.deb
libkeyutils1_1.4-1_i386.deb
libkrb5-3_1.8.1+dfsg-5_i386.deb
libkrb5support0_1.8.1+dfsg-5_i386.deb
libldap-2.4-2_2.4.23-0ubuntu3_i386.deb
libpcre3_8.02-1_i386.deb
libpng12-0_1.2.44-1_i386.deb
libselinux1_2.0.94-1_i386.deb
libssl0.9.8_0.9.8o-1ubuntu4_i386.deb
libsasl2-2_2.1.23.dfsg1-5ubuntu2_i386.deb
zlib1g_1.2.3.4.dfsg-3ubuntu1_i386.deb
libgdk-pixbuf2.0-0_2.22.0-0ubuntu1_i386.deb
"

LICENSE="GPL"
SLOT="0"
KEYWORDS="-* amd64 x86"
RESTRICT="strip"
EAPI="2"


RDEPEND="x11-libs/gtk+:2
	media-libs/freetype:2
	sys-libs/zlib
	amd64? ( app-emulation/emul-linux-x86-xlibs )
	amd64? ( app-emulation/emul-linux-x86-gtklibs )"

DEPEND="${RDEPEND} 
	app-arch/deb2targz"

S=${WORKDIR}

src_unpack() {
	echo ${PV}
	mkdir ubu
	cd ubu
	unpack libcurl3_7.21.0-1ubuntu1_i386.deb
	unpack ./data.tar.gz
	unpack libglib2.0-0_2.26.0-0ubuntu1_i386.deb
	unpack ./data.tar.gz
	unpack libgssapi-krb5-2_1.8.1+dfsg-5_i386.deb
	unpack ./data.tar.gz
	unpack libgssglue1_0.1-4_i386.deb
	unpack ./data.tar.gz
	unpack libgtk2.0-0_2.22.0-0ubuntu1_i386.deb
	unpack ./data.tar.gz
	unpack libjpeg62_6b-16.1_i386.deb
	unpack ./data.tar.gz
	unpack libk5crypto3_1.8.1+dfsg-5_i386.deb
	unpack ./data.tar.gz
	unpack libkeyutils1_1.4-1_i386.deb
	unpack ./data.tar.gz
	unpack libkrb5-3_1.8.1+dfsg-5_i386.deb
	unpack ./data.tar.gz
	unpack libkrb5support0_1.8.1+dfsg-5_i386.deb
	unpack ./data.tar.gz
	unpack libldap-2.4-2_2.4.23-0ubuntu3_i386.deb
	unpack ./data.tar.gz
	unpack libpcre3_8.02-1_i386.deb
	unpack ./data.tar.gz
	unpack libpng12-0_1.2.44-1_i386.deb
	unpack ./data.tar.gz
	unpack libselinux1_2.0.94-1_i386.deb
	unpack ./data.tar.gz
	unpack libssl0.9.8_0.9.8o-1ubuntu4_i386.deb
	unpack ./data.tar.gz
	unpack libsasl2-2_2.1.23.dfsg1-5ubuntu2_i386.deb
	unpack ./data.tar.gz
	unpack zlib1g_1.2.3.4.dfsg-3ubuntu1_i386.deb
	unpack ./data.tar.gz
	unpack libgdk-pixbuf2.0-0_2.22.0-0ubuntu1_i386.deb
	unpack ./data.tar.gz
	rm -f data.tar.gz
	cd ../
	unpack pbsdk-linux-${PV}.deb
	unpack ./data.tar.gz
	rm -f data.tar.gz
	epatch "${FILESDIR}/${P}-gentoo.diff"
	#remove dead links and copy libraries to destination
	#maybe needed move to install 
	rm ubu/usr/lib/libcrypto.so.0.9.8
	rm ubu/usr/lib/libssl.so.0.9.8

	mkdir -p usr/local/pocketbook/ubuntoo/lib
	cp -pPR ubu/lib/* usr/local/pocketbook/ubuntoo/lib
	cp -pPR ubu/usr/lib/* usr/local/pocketbook/ubuntoo/lib
	rm -rf ubu
	
	#move inkview.so to ubuntoo lib dir as a more suitable place
	mv usr/lib/libinkview.so usr/local/pocketbook/ubuntoo/lib/
	mv usr/lib/libbookstate.so usr/local/pocketbook/ubuntoo/lib/
	mv usr/lib/libpbframework.so usr/local/pocketbook/ubuntoo/lib/
	mv usr/lib/libsynopsis.so usr/local/pocketbook/ubuntoo/lib/
}

src_install() {
	cp -pPR * "${D}"/  || die
	cp -p "${FILESDIR}/runpbemu" "${D}"/usr/bin/ || die
	#make required symlink for ld
	dosym /usr/local/pocketbook/ubuntoo/lib/libcurl.so.4.2.0 /usr/local/pocketbook/ubuntoo/lib/libcurl.so
	dosym /usr/local/pocketbook/ubuntoo/lib/libjpeg.so.62 /usr/local/pocketbook/ubuntoo/lib/libjpeg.so
	dosym /usr/local/pocketbook/ubuntoo/lib/libpng12.so.0 /usr/local/pocketbook/ubuntoo/lib/libpng12.so
	dosym /usr/local/pocketbook/ubuntoo/lib/libz.so.1.2.3.4 /usr/local/pocketbook/ubuntoo/lib/libz.so
}

pkg_postinst() {
	einfo "see common.mk for compiller flags"
	einfo "use runpbemu ./prog_name [args]"
	einfo "to run emulator build"
	einfo "DON'T forget add -DHAS_NO_IV_GET_DEFAULT_FONT if you build program for <pb fw-2.0.5"
}
